> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/bet-types-examples-singles-accumulators-custom-bets.../double-pre-match-bet.md).

# Double Pre-match Bet

This double ticket was placed from a web browser, the IP address of the device was 212.9.11.2 and the user interface language was English. The first selection in the bet is a pre-match selection ("productId": "3") on an outright ("eventId": "sr:season:54837"), market is the winner of that outright ("marketId": "534") and the outcome and specifier are contained in the format as received from the feed. The stake amount is 10 millibitcoins, which was converted to euros at the rate of 0.04481 mBTC per one euro.\
The ticket contains only one bet (the Bets array length = 1), which further contains two selections (double), the Selections array length = 2.

<details>

<summary><strong>Ticket Placement Request</strong></summary>

```
{
  "operatorId": 9985,
  "content": {
    "type": "ticket",
    "ticketId": "Ticket_3668",
    "bets": [
      {
        "selections": [
          {
            "type": "uf",
            "productId": "3",
            "eventId": "sr:season:54837",
            "marketId": "534",
            "outcomeId": "pre:outcometext:9826",
            "specifiers": "variant=pre:markettext:62723",
            "odds": {
              "type": "decimal",
              "value": "1.36"
            }
          },
          {
            "type": "uf",
            "productId": "3",
            "eventId": "sr:match:14950205",
            "marketId": "14",
            "outcomeId": "1712",
            "specifiers": "hcp=1:0",
            "odds": {
              "type": "decimal",
              "value": "1.59"
            }
          }
        ],
        "stake": [
          {
            "type": "cash",
            "currency": "mBTC",
            "amount": "10"
          }
        ]
      }
    ],
    "context": {
      "channel": {
        "type": "internet",
        "ip": "212.9.11.2",
        "lang": "EN"
      },
      "endCustomer": {
        "id": "endCustomer_384d54"
      },
      "limitId": 1409
    }
  },
  "correlationId": "89Wekr38267",
  "timestampUtc": 1678883012000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Ticket Placement Response</strong></summary>

```json
{
  "content": {
    "type": "ticket-reply",
    "signature": "X9sRwc4PoLw79Dv0nUcozYawhVwdmdtSUI3oJLzXm/g=",
    "status": "accepted",
    "ticketId": "Ticket_3668",
    "code": 0,
    "message": "Transaction processed",
    "betDetails": [
      {
        "selectionDetails": [
          {
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:season:54837",
              "marketId": "534",
              "outcomeId": "pre:outcometext:9826",
              "specifiers": "variant=pre:markettext:62723",
              "odds": {
                "type": "decimal",
                "value": "1.36"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          },
          {
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:14950205",
              "marketId": "14",
              "outcomeId": "1712",
              "specifiers": "hcp=1:0",
              "odds": {
                "type": "decimal",
                "value": "1.59"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          }
        ],
        "code": 0,
        "message": "Transaction processed"
      }
    ],
    "exchangeRate":   [
      {
        "fromCurrency": "mBTC",
        "toCurrency": "EUR",
        "rate": "22.31645"
      }
    ]
  },
  "correlationId": "89Wekr38267",
  "timestampUtc": 1678883013000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/bet-types-examples-singles-accumulators-custom-bets.../double-pre-match-bet.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
